using System;
using System.Data;
using System.Xml;
using System.Collections.Generic;
using System.Collections;
using System.Text;
using System.Web;
using IlgharCMS;
using IlgharCMS.SystemModule;
public partial class CError : IlgharCMS.Page
{
public CError()
: base("error.dwt.aspx")
{}
protected XmlDocument _xmlTemplate;
protected override void OnInit(EventArgs e)
{
base.OnInit(e);
_xmlTemplate = XmlData.GetXmlDocument();
if (!String.IsNullOrEmpty(Request.QueryString["GetPageCount"]))
                            {
                                Response.Write(1);
                                Response.End();
                            }
                        
}

                            protected Dictionary<string, object> Log
                            {
                                get
                                {
                                    object id = null;
                                    object o = Request.QueryString["ID"];

                                    if (o is Guid)
                                        id = (Guid)o;
                                    else
                                        id = new Guid(Convert.ToString(o));
                                    
                                    if (_LogID != null && _LogID == id)
                                        return _Log;

                                    int instanceID;
instanceID = InstanceID;

                                    using (IlgharCMS.SystemModule.ILog bll = (IlgharCMS.SystemModule.ILog)Manager.CreateObject("Log", instanceID, PageLang, false))
                                    {
                                        _LogID = id;
                                        _Log = bll.Get(id);
                                    }

                                    return _Log;
                                }
                            }
                            private Dictionary<string, object> _Log;
                            private object _LogID;
                            }
